WordPress.org

Make WordPress Core

Opened 14 years ago

Closed 14 years ago

#1425 closed defect (bug) (worksforme)

Invalid 304 header for feed under IIS

Reported by: tsimmons Owned by:
Milestone: Priority: normal
Severity: major Version: 1.5.1.1
Component: General Keywords: invalid 304 header feed iis
Focuses: Cc:

Description

This might be due to running wordpress under IIS (php v. 4.3.11, ISAPI, Windows 2000, IIS v. 5.0, wp v. 1.5.1.2) but when a feed client does a conditional get and the feed has (appropriately!) not been modified, the header returned is malformed:


HTTP/1.1 304 Undescribed
Server: Microsoft-IIS/5.0
Date: Fri, 03 Jun 2005 17:42:37 GMT
Connection: close
Content-type: text/html
X-Powered-By: PHP/4.3.11
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Last-Modified: Sat, 28 May 2005 03:37:59 GMT
ETag: "e5bfbe7e5203ee9bed36971ebcfc1ad3"
X-Pingback: http://www.simmonsconsulting.com/wordpress/xmlrpc.php
Not Modified

Notice the last line. There is no "Status:" label for it.

If you change line 150 of wp-blog-header.php from:

				header('Not Modified', TRUE, 304);

to

				header('Status: Not Modified', TRUE, 304);

The feeds headers returned by 304 are correct.

Change History (1)

#1 @matt
14 years ago

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.